Entity Turn Over Request
Authentication
You will need to login before sending Entity Turn Over Request. You are required to pass the access token received from the login call, as authorization header in the Entity Turn Over Request along with other parameters.
API Endpoint
Testing
POST :: https://preproduction.signzy.tech/api/v2/patrons/..your-patron-id../gstrturnoversProduction
POST :: https://signzy.tech/api/v2/patrons/...patronID.../gstrturnoversHeaders
Key | Value |
|---|---|
Authorization | ...access token (returned as id field of login request)... |
Content-type | application/json |
Request Body
The API request should include the following data in the request body:
{
"essentials": {
"gstin": "..gstin..",
"username": "..username..",
"authToken": "..authToken..",
"appKey": "..appKey..",
"sek": "..sek..",
"retPeriod": "..retPeriod..",
"task": "monthlyTurnover/compositionQuarterlyTurnover/ecomMonthlyTurnover/regularYearlyTurnover"
}
}Input Parameters
Field | Description |
|---|---|
gstin | GST Number of the organization |
username | Username of your GST Portal Credentials |
authToken | AuthToken received in the authToken request |
appKey | APP Key received in the OTP request |
sek | Secret Key |
retPeriod | Return Period for which Turn Over has to be fetched. (Eg 03/2018) |
task | What type of turnover is required (monthlyTurnover/compositionQuarterlyTurnover/ecomMonthlyTurnover/regularYearlyTurnover) |
Response Body
The API response will be in the following format:
{
"result":{
"turnoverAmount" : "...turnoverAmount...",
"information" : "...information..."
}
}